SSH Key
All operations require authentication.
List SSH keysProduction
Returns the SSH public keys stored in the project.
Path parameters
Project ID
Headers
Pagination cursor
Pagination size
Response
Creation date of the SSH key
Unique name of the SSH key
SSH public key content
Last update date of the SSH key
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ sshKey \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "name": "string", "publicKey": "string", "updatedAt": "2024-01-01T12:00:00Z" }]
Get an SSH keyProduction
Returns the SSH key with its public key content.
Path parameters
Name
Project ID
Response
Creation date of the SSH key
Unique name of the SSH key
SSH public key content
Last update date of the SSH key
Example uses name = string, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ sshKey/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "name": "string", "publicKey": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Create an SSH keyProduction
Stores an SSH public key under a name that is unique in the project. Use this name to install the key on an instance at creation.
Path parameters
Project ID
Request body (required)
Unique name for the SSH key
SSH public key content
Response
Creation date of the SSH key
Unique name of the SSH key
SSH public key content
Last update date of the SSH key
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ sshKey \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "name": "string", "publicKey": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Delete an SSH keyProduction
Deletes the SSH key from the project. Instances created with this key keep it.
Path parameters
Name
Project ID
Response
Creation date of the SSH key
Unique name of the SSH key
SSH public key content
Last update date of the SSH key
Example uses name = string, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ sshKey/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "name": "string", "publicKey": "string", "updatedAt": "2024-01-01T12:00:00Z"}